<?php
/**
 * @version 2.0.1
 * @package moseasymedia
 * @copyright Copyright &copy; 2008, Brilaps LLC
 * @author Ozgur Cem Sen
 * @email code@brilaps.com
 * @link http://brilaps.com || http://wiki.brilaps.com
 * @license http://www.opensource.org/licenses/gpl-license.php GNU/GPL v.2 .
 */
require_once($MOSEASYMEDIA_ABSOLUTE_PATH."moseasymediaEmbed.php");

class cmoseasymediaWindowsMediaPlayerVideo extends cmoseasymediaEmbed {
	/**
	 * Function for embedding the video files associated with Microsoft Media Player
	 * @return string formatted HTML embed string
	 * Using clsid for Windows Media Player 7 and over.
	 *
	 * http://msdn.microsoft.com/library/default.asp?url=/workshop/author/dhtml/overview/activating_activex.asp
	 * http://msdn2.microsoft.com/en-us/library/bb614511.aspx
	 *
	 * clsid:6BF52A52-394A-11D3-B153-00C04F79FAA6 and CODEBASE="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab&#035;Version=7,0,0,1954"
	 */
	function moseasymediaWindowsMediaPlayerVideo () {
	
		global $MOSEASYMEDIA_BASE_URL;
		$embedString = "";	
		//the following arrays will serve as attributes to be populated by the $this->moseasymediaparams
		$object_attributes = array('id', 'classid', 'codebase', 'standby', 'type', 'width', 'height');
		$object_attribute_values = moseasymediaPlayerEngine::generateAttributeValuesArray($this->player, $object_attributes, $this->moseasymediaparams, TRUE);
		//additional..
		$object_attribute_values['id'] = $this->uniqueID;
		 
		 
		$param_attributes = array('url', 'src', 'filename', 'width', 'height', 'autostart', 'playcount', 'stretchtofit');
		$param_attribute_values = moseasymediaPlayerEngine::generateAttributeValuesArray($this->player, $param_attributes, $this->moseasymediaparams, TRUE);
		//additional..
		$param_attribute_values['url'] = $this->mediaPath;
		$param_attribute_values['src'] = $this->mediaPath;
		$param_attribute_values['filename'] = $this->mediaPath;
	
		$embed_atrributes = array('name', 'id', 'url', 'src', 'filename', 'width', 'height', 'autostart', 'playcount', 'stretchtofit', 'pluginspage', 'type');
		$embed_attribute_values = moseasymediaPlayerEngine::generateAttributeValuesArray($this->player, $embed_atrributes, $this->moseasymediaparams, TRUE);
		//additional..
		$embed_attribute_values['url'] = $this->mediaPath;
		$embed_attribute_values['src'] = $this->mediaPath;
		$embed_attribute_values['filename'] = $this->mediaPath;
		$embed_attribute_values['name'] = $this->uniqueID;
		$embed_attribute_values['id'] = $this->uniqueID;
		//do the others later
		 
		//THE KEY TO EVERYTHING IN moseasymedia
		$strMediaEmbedCode = moseasymediaPlayerEngine::generateObjectParamEmbedCode($object_attribute_values, $param_attribute_values, $embed_attribute_values);
	
		//Check to see if we're using object embedding or javascript
		if ((int)$this->moseasymediaparams->get("ocsmem_UseJavascript$this->player") == 0) {
			$embedString .= $strMediaEmbedCode;
		}
		else {
			$embedString = '<script src="'.$MOSEASYMEDIA_BASE_URL.'js/dreadedActiveX.js" type="text/javascript"></script>';	
			$escapedEmbed = cmoseasymediaEmbed::getEscaped($strMediaEmbedCode);
			$embedString .= '<script type="text/javascript">';
			$embedString .= '   embedObject("'.$escapedEmbed.'");';
			$embedString .= '</script>';
		}
		
		if ($this->moseasymediaparams->get("ocsmem_Popup_popup", "none") === "none") {
			$embedString = $this->getHeader().$embedString.$this->getFooter();
		}
		else {	
			if (($this->moseasymediaparams->get("ocsmem_Popup_popup", "none") === "window") &&  
					($this->moseasymediaparams->get("ocsmem_Popup_popupmediathumbnail", "none") === "none"))
				$embedString = $this->getHeader().$embedString.$this->popupCode($embedString.$this->getFooter()).$this->getFooter();
			else 
				$embedString = $this->getHeader().$this->popupCode($embedString.$this->getFooter()).$this->getFooter();
		}		
		
		return $embedString;
	}
}
?>
